// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from dataspeed_dbw_msgs:msg/BrakeCmd.idl
// generated code does not contain a copyright notice

#ifndef DATASPEED_DBW_MSGS__MSG__DETAIL__BRAKE_CMD__STRUCT_H_
#define DATASPEED_DBW_MSGS__MSG__DETAIL__BRAKE_CMD__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

/// Constant 'CMD_NONE'.
enum
{
  dataspeed_dbw_msgs__msg__BrakeCmd__CMD_NONE = 0
};

/// Constant 'CMD_PEDAL'.
/**
  * Unitless
 */
enum
{
  dataspeed_dbw_msgs__msg__BrakeCmd__CMD_PEDAL = 1
};

/// Constant 'CMD_PERCENT'.
/**
  * Percent of maximum torque
 */
enum
{
  dataspeed_dbw_msgs__msg__BrakeCmd__CMD_PERCENT = 2
};

/// Constant 'CMD_TORQUE'.
/**
  * Nm, open-loop
 */
enum
{
  dataspeed_dbw_msgs__msg__BrakeCmd__CMD_TORQUE = 3
};

/// Constant 'CMD_TORQUE_RQ'.
/**
  * Nm, closed-loop
 */
enum
{
  dataspeed_dbw_msgs__msg__BrakeCmd__CMD_TORQUE_RQ = 4
};

/// Constant 'CMD_DECEL'.
/**
  * m/s^2
 */
enum
{
  dataspeed_dbw_msgs__msg__BrakeCmd__CMD_DECEL = 6
};

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"

/// Struct defined in msg/BrakeCmd in the package dataspeed_dbw_msgs.
typedef struct dataspeed_dbw_msgs__msg__BrakeCmd
{
  std_msgs__msg__Header header;
  /// Brake pedal
  /// Options defined below
  float pedal_cmd;
  uint8_t pedal_cmd_type;
  /// Enable
  bool enable;
  /// Clear driver overrides
  bool clear;
  /// Ignore driver overrides
  bool ignore;
  /// Watchdog counter (optional)
  uint8_t count;
} dataspeed_dbw_msgs__msg__BrakeCmd;

// Struct for a sequence of dataspeed_dbw_msgs__msg__BrakeCmd.
typedef struct dataspeed_dbw_msgs__msg__BrakeCmd__Sequence
{
  dataspeed_dbw_msgs__msg__BrakeCmd * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} dataspeed_dbw_msgs__msg__BrakeCmd__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // DATASPEED_DBW_MSGS__MSG__DETAIL__BRAKE_CMD__STRUCT_H_
