// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from dataspeed_dbw_msgs:msg/MiscReport.idl
// generated code does not contain a copyright notice

#ifndef DATASPEED_DBW_MSGS__MSG__DETAIL__MISC_REPORT__STRUCT_H_
#define DATASPEED_DBW_MSGS__MSG__DETAIL__MISC_REPORT__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'turn_signal'
#include "dataspeed_dbw_msgs/msg/detail/turn_signal__struct.h"

/// Struct defined in msg/MiscReport in the package dataspeed_dbw_msgs.
typedef struct dataspeed_dbw_msgs__msg__MiscReport
{
  std_msgs__msg__Header header;
  /// Turn Signal enumeration
  dataspeed_dbw_msgs__msg__TurnSignal turn_signal;
  /// Buttons
  /// Cruise Control On
  bool btn_cc_on;
  /// Cruise Control Off
  bool btn_cc_off;
  /// Cruise Control On/Off Toggle
  bool btn_cc_on_off;
  /// Cruise Control Resume
  bool btn_cc_res;
  /// Cruise Control Cancel
  bool btn_cc_cncl;
  /// Cruise Control Resume/Cancel
  bool btn_cc_res_cncl;
  /// Cruise Control Resume+
  bool btn_cc_res_inc;
  /// Cruise Control Resume-
  bool btn_cc_res_dec;
  /// Cruise Control Set+
  bool btn_cc_set_inc;
  /// Cruise Control Set-
  bool btn_cc_set_dec;
  /// Cruise Control Gap+
  bool btn_cc_gap_inc;
  /// Cruise Control Gap-
  bool btn_cc_gap_dec;
  /// Lane Assist On/Off Toggle
  bool btn_la_on_off;
  /// Left D-Pad OK
  bool btn_ld_ok;
  /// Left D-Pad Up
  bool btn_ld_up;
  /// Left D-Pad Down
  bool btn_ld_down;
  /// Left D-Pad Left
  bool btn_ld_left;
  /// Left D-Pad Right
  bool btn_ld_right;
  /// Right D-Pad OK
  bool btn_rd_ok;
  /// Right D-Pad Up
  bool btn_rd_up;
  /// Right D-Pad Down
  bool btn_rd_down;
  /// Right D-Pad Left
  bool btn_rd_left;
  /// Right D-Pad Right
  bool btn_rd_right;
  /// Volume increment
  bool btn_vol_inc;
  /// Volume decrement
  bool btn_vol_dec;
  /// Volume mute
  bool btn_mute;
  /// Media (source)
  bool btn_media;
  /// Media previous
  bool btn_prev;
  /// Media next
  bool btn_next;
  /// Speak
  bool btn_speak;
  /// Call start/answer
  bool btn_call_start;
  /// Call end/disconnect
  bool btn_call_end;
  /// Faults
  bool fault_bus;
  /// Doors
  bool door_driver;
  bool door_passenger;
  bool door_rear_left;
  bool door_rear_right;
  bool door_hood;
  bool door_trunk;
  /// Passenger seat
  bool passenger_detect;
  bool passenger_airbag;
  /// Seat Belts
  bool buckle_driver;
  bool buckle_passenger;
} dataspeed_dbw_msgs__msg__MiscReport;

// Struct for a sequence of dataspeed_dbw_msgs__msg__MiscReport.
typedef struct dataspeed_dbw_msgs__msg__MiscReport__Sequence
{
  dataspeed_dbw_msgs__msg__MiscReport * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} dataspeed_dbw_msgs__msg__MiscReport__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // DATASPEED_DBW_MSGS__MSG__DETAIL__MISC_REPORT__STRUCT_H_
