// generated from rosidl_generator_cpp/resource/idl__builder.hpp.em
// with input from dataspeed_dbw_msgs:msg/SteeringCmd.idl
// generated code does not contain a copyright notice

#ifndef DATASPEED_DBW_MSGS__MSG__DETAIL__STEERING_CMD__BUILDER_HPP_
#define DATASPEED_DBW_MSGS__MSG__DETAIL__STEERING_CMD__BUILDER_HPP_

#include <algorithm>
#include <utility>

#include "dataspeed_dbw_msgs/msg/detail/steering_cmd__struct.hpp"
#include "rosidl_runtime_cpp/message_initialization.hpp"


namespace dataspeed_dbw_msgs
{

namespace msg
{

namespace builder
{

class Init_SteeringCmd_count
{
public:
  explicit Init_SteeringCmd_count(::dataspeed_dbw_msgs::msg::SteeringCmd & msg)
  : msg_(msg)
  {}
  ::dataspeed_dbw_msgs::msg::SteeringCmd count(::dataspeed_dbw_msgs::msg::SteeringCmd::_count_type arg)
  {
    msg_.count = std::move(arg);
    return std::move(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

class Init_SteeringCmd_alert
{
public:
  explicit Init_SteeringCmd_alert(::dataspeed_dbw_msgs::msg::SteeringCmd & msg)
  : msg_(msg)
  {}
  Init_SteeringCmd_count alert(::dataspeed_dbw_msgs::msg::SteeringCmd::_alert_type arg)
  {
    msg_.alert = std::move(arg);
    return Init_SteeringCmd_count(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

class Init_SteeringCmd_quiet
{
public:
  explicit Init_SteeringCmd_quiet(::dataspeed_dbw_msgs::msg::SteeringCmd & msg)
  : msg_(msg)
  {}
  Init_SteeringCmd_alert quiet(::dataspeed_dbw_msgs::msg::SteeringCmd::_quiet_type arg)
  {
    msg_.quiet = std::move(arg);
    return Init_SteeringCmd_alert(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

class Init_SteeringCmd_calibrate
{
public:
  explicit Init_SteeringCmd_calibrate(::dataspeed_dbw_msgs::msg::SteeringCmd & msg)
  : msg_(msg)
  {}
  Init_SteeringCmd_quiet calibrate(::dataspeed_dbw_msgs::msg::SteeringCmd::_calibrate_type arg)
  {
    msg_.calibrate = std::move(arg);
    return Init_SteeringCmd_quiet(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

class Init_SteeringCmd_ignore
{
public:
  explicit Init_SteeringCmd_ignore(::dataspeed_dbw_msgs::msg::SteeringCmd & msg)
  : msg_(msg)
  {}
  Init_SteeringCmd_calibrate ignore(::dataspeed_dbw_msgs::msg::SteeringCmd::_ignore_type arg)
  {
    msg_.ignore = std::move(arg);
    return Init_SteeringCmd_calibrate(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

class Init_SteeringCmd_clear
{
public:
  explicit Init_SteeringCmd_clear(::dataspeed_dbw_msgs::msg::SteeringCmd & msg)
  : msg_(msg)
  {}
  Init_SteeringCmd_ignore clear(::dataspeed_dbw_msgs::msg::SteeringCmd::_clear_type arg)
  {
    msg_.clear = std::move(arg);
    return Init_SteeringCmd_ignore(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

class Init_SteeringCmd_enable
{
public:
  explicit Init_SteeringCmd_enable(::dataspeed_dbw_msgs::msg::SteeringCmd & msg)
  : msg_(msg)
  {}
  Init_SteeringCmd_clear enable(::dataspeed_dbw_msgs::msg::SteeringCmd::_enable_type arg)
  {
    msg_.enable = std::move(arg);
    return Init_SteeringCmd_clear(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

class Init_SteeringCmd_cmd_type
{
public:
  explicit Init_SteeringCmd_cmd_type(::dataspeed_dbw_msgs::msg::SteeringCmd & msg)
  : msg_(msg)
  {}
  Init_SteeringCmd_enable cmd_type(::dataspeed_dbw_msgs::msg::SteeringCmd::_cmd_type_type arg)
  {
    msg_.cmd_type = std::move(arg);
    return Init_SteeringCmd_enable(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

class Init_SteeringCmd_steering_wheel_torque_cmd
{
public:
  explicit Init_SteeringCmd_steering_wheel_torque_cmd(::dataspeed_dbw_msgs::msg::SteeringCmd & msg)
  : msg_(msg)
  {}
  Init_SteeringCmd_cmd_type steering_wheel_torque_cmd(::dataspeed_dbw_msgs::msg::SteeringCmd::_steering_wheel_torque_cmd_type arg)
  {
    msg_.steering_wheel_torque_cmd = std::move(arg);
    return Init_SteeringCmd_cmd_type(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

class Init_SteeringCmd_steering_wheel_angle_velocity
{
public:
  explicit Init_SteeringCmd_steering_wheel_angle_velocity(::dataspeed_dbw_msgs::msg::SteeringCmd & msg)
  : msg_(msg)
  {}
  Init_SteeringCmd_steering_wheel_torque_cmd steering_wheel_angle_velocity(::dataspeed_dbw_msgs::msg::SteeringCmd::_steering_wheel_angle_velocity_type arg)
  {
    msg_.steering_wheel_angle_velocity = std::move(arg);
    return Init_SteeringCmd_steering_wheel_torque_cmd(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

class Init_SteeringCmd_steering_wheel_angle_cmd
{
public:
  explicit Init_SteeringCmd_steering_wheel_angle_cmd(::dataspeed_dbw_msgs::msg::SteeringCmd & msg)
  : msg_(msg)
  {}
  Init_SteeringCmd_steering_wheel_angle_velocity steering_wheel_angle_cmd(::dataspeed_dbw_msgs::msg::SteeringCmd::_steering_wheel_angle_cmd_type arg)
  {
    msg_.steering_wheel_angle_cmd = std::move(arg);
    return Init_SteeringCmd_steering_wheel_angle_velocity(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

class Init_SteeringCmd_header
{
public:
  Init_SteeringCmd_header()
  : msg_(::rosidl_runtime_cpp::MessageInitialization::SKIP)
  {}
  Init_SteeringCmd_steering_wheel_angle_cmd header(::dataspeed_dbw_msgs::msg::SteeringCmd::_header_type arg)
  {
    msg_.header = std::move(arg);
    return Init_SteeringCmd_steering_wheel_angle_cmd(msg_);
  }

private:
  ::dataspeed_dbw_msgs::msg::SteeringCmd msg_;
};

}  // namespace builder

}  // namespace msg

template<typename MessageType>
auto build();

template<>
inline
auto build<::dataspeed_dbw_msgs::msg::SteeringCmd>()
{
  return dataspeed_dbw_msgs::msg::builder::Init_SteeringCmd_header();
}

}  // namespace dataspeed_dbw_msgs

#endif  // DATASPEED_DBW_MSGS__MSG__DETAIL__STEERING_CMD__BUILDER_HPP_
